Jeedom + Zigate v2 USB + RPI ...... probleme :-(

Tags: #<Tag:0x00007fc6bcde1fe0>

Bonjour à tous,

Je viens de déménager dans une nouvelle maison et me suit lancer le projet de mettre de la domotique là ou nous pourrions …
Ayant déjà un RPI, j’ai décidé d’acheter un dongle zigate+ USB pour commencer à déployer un réseau zigbee.
Mais depuis la livraison, je n’arrive pas à faire fonctionner le dongle. J’ai réussi à mettre à jour le firmware en version 3.20 mais j’ai des problèmes de communication avec le /dev/ttyUSB0.
N’ayant pas la possibilité d’envoyer des fichiers de logs, je vous fait un copy/paste :wink:
Merci pour votre aide
Manu

plugin log :

[2021-11-24 11:20:59][ERROR][zigate](MainThread) : Cannot connect to ZiGate using port /dev/ttyUSB0
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/serial/serialposix.py", line 265, in open
    self.fd = os.open(self.portstr, os.O_RDWR | os.O_NOCTTY | os.O_NONBLOCK)
OSError: [Errno 5] Input/output error: '/dev/ttyUSB0'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/zigate/transport.py", line 221, in reconnect
    self.serial = self.initSerial()
  File "/usr/local/lib/python3.7/dist-packages/zigate/transport.py", line 206, in initSerial
    return serial.Serial(self._port, 115200)
  File "/usr/lib/python3/dist-packages/serial/serialutil.py", line 240, in __init__
    self.open()
  File "/usr/lib/python3/dist-packages/serial/serialposix.py", line 268, in open
    raise SerialException(msg.errno, "could not open port {}: {}".format(self._port, msg))
serial.serialutil.SerialException: [Errno 5] could not open port /dev/ttyUSB0: [Errno 5] Input/output error: '/dev/ttyUSB0'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/www/html/plugins/zigate/core/class/../../resources/zigated/zigated.py", line 330, in <module>
    z.autoStart(args.channel)
  File "/usr/local/lib/python3.7/dist-packages/zigate/core.py", line 414, in autoStart
    self.startup(channel)
  File "/usr/local/lib/python3.7/dist-packages/zigate/core.py", line 431, in startup
    self.setup_connection()
  File "/usr/local/lib/python3.7/dist-packages/zigate/core.py", line 309, in setup_connection
    self.connection = ThreadSerialConnection(self, self._port)
  File "/usr/local/lib/python3.7/dist-packages/zigate/transport.py", line 198, in __init__
    self.reconnect(False)
  File "/usr/local/lib/python3.7/dist-packages/zigate/transport.py", line 230, in reconnect
    raise ZIGATE_CANNOT_CONNECT('Cannot connect to ZiGate using port {}'.format(self._port))
zigate.transport.ZIGATE_CANNOT_CONNECT: Cannot connect to ZiGate using port /dev/ttyUSB0

Dmesg :

[mer. nov. 24 11:10:01 2021] usb 1-1.4: new full-speed USB device number 7 using xhci_hcd
[mer. nov. 24 11:10:01 2021] usb 1-1.4: New USB device found, idVendor=0403, idProduct=6015, bcdDevice=10.00
[mer. nov. 24 11:10:01 2021] usb 1-1.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[mer. nov. 24 11:10:01 2021] usb 1-1.4: Product: ZiGate
[mer. nov. 24 11:10:01 2021] usb 1-1.4: Manufacturer: FTDI
[mer. nov. 24 11:10:01 2021] usb 1-1.4: SerialNumber: ZIGATE+
[mer. nov. 24 11:10:01 2021] ftdi_sio 1-1.4:1.0: FTDI USB Serial Device converter detected
[mer. nov. 24 11:10:01 2021] usb 1-1.4: Detected FT-X
[mer. nov. 24 11:10:01 2021] usb 1-1.4: FTDI USB Serial Device converter now attached to ttyUSB0
[mer. nov. 24 11:10:35 2021] usb 1-1.4: reset full-speed USB device number 7 using xhci_hcd
[mer. nov. 24 11:14:53 2021] brcmfmac: brcmf_cfg80211_set_power_mgmt: power save disabled
[mer. nov. 24 11:15:48 2021] usb 1-1.4: reset full-speed USB device number 7 using xhci_hcd
[mer. nov. 24 11:20:09 2021] brcmfmac: brcmf_cfg80211_set_power_mgmt: power save disabled
[mer. nov. 24 11:20:11 2021] usb 1-1.4: reset full-speed USB device number 7 using xhci_hcd
[mer. nov. 24 11:20:59 2021] usb 1-1.4: reset full-speed USB device number 7 using xhci_hcd
[mer. nov. 24 11:25:09 2021] usb 1-1.4: reset full-speed USB device number 7 using xhci_hcd
[mer. nov. 24 11:25:25 2021] brcmfmac: brcmf_cfg80211_set_power_mgmt: power save disabled
[mer. nov. 24 11:25:54 2021] usb 1-1.4: reset full-speed USB device number 7 using xhci_hcd
[mer. nov. 24 11:30:15 2021] usb 1-1.4: reset full-speed USB device number 7 using xhci_hcd
[mer. nov. 24 11:30:41 2021] brcmfmac: brcmf_cfg80211_set_power_mgmt: power save disabled
[mer. nov. 24 11:31:28 2021] usb 1-1.4: reset full-speed USB device number 7 using xhci_hcd
[mer. nov. 24 11:33:31 2021] usb 1-1.4: reset full-speed USB device number 7 using xhci_hcd
[mer. nov. 24 11:35:12 2021] usb 1-1.4: reset full-speed USB device number 7 using xhci_hcd
[mer. nov. 24 11:35:57 2021] brcmfmac: brcmf_cfg80211_set_power_mgmt: power save disabled

« lsusb -t » :

/:  Bus 02.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/4p, 5000M
/:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/1p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/4p, 480M
        |__ Port 4: Dev 7, If 0, Class=Vendor Specific Class, Driver=ftdi_sio, 12M

Salut

Es-tu sur que le plugin Zigbee supporte les nouvelles zigate? As-tu testé avec abeille?

Antoine